## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPlatformMemoryMappingDummy Class Reference

Memory mapping for platforms without memory mapping support - it does nothing, so the software emulation kicks in when csMemoryMappedIO is used. More...

`#include <csutil/mmap_dummy.h>`

List of all members.

## Protected Member Functions

| csPlatformMemoryMappingDummy ()
| Create a new mapping.
void | MapWindow (PlatformMemoryMapping &mapping, size_t offset, size_t len)
bool | Ok ()
bool | OpenNative (const char *filename)
void | UnmapWindow (PlatformMemoryMapping &mapping)
| ~csPlatformMemoryMappingDummy ()
| Destroy file mapping.

## Classes

struct | PlatformMemoryMapping

## Detailed Description

Memory mapping for platforms without memory mapping support - it does nothing, so the software emulation kicks in when csMemoryMappedIO is used.

Definition at line 33 of file mmap_dummy.h.

## Constructor & Destructor Documentation

csPlatformMemoryMappingDummy::csPlatformMemoryMappingDummy | ( |  | ) | `[inline, protected]`

| Create a new mapping. Definition at line 42 of file mmap_dummy.h.

csPlatformMemoryMappingDummy::~csPlatformMemoryMappingDummy | ( |  | ) | `[inline, protected]`

| Destroy file mapping. Definition at line 44 of file mmap_dummy.h.

The documentation for this class was generated from the following file:

- csutil/mmap_dummy.h